# Splitting Combined Items

## Split Combined Items

<mark style="color:green;">`POST`</mark> `https://graph.whisk.com/v1/:cart_id/items/:item_id/split`

You can split automatically combined items. Split items will not be combined again. More about combined items here.

#### Path Parameters

| Name     | Type   | Description                 |
| -------- | ------ | --------------------------- |
| cart\_id | string | Unique cart identifier      |
| item\_id | string | Unique cart item identifier |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "labels": {},
  "created": 1532604341,
  "groups": [],
  "id": "39247bbe44e145578ede8cab9fa89dd1",
  "items": [
    {
      "id": "32442ecd460d42f79721996364458008",
      "notCombine": true,
      "sourceList": [
        {
          "name": "2 eggs"
        }
      ],
      "product": {
        "name": "Tesco 6 Eggs",
        "quantity": {
          "count": 1
        },
        "url": "https://www.tesco.com/groceries/en-GB/products/299625707",
        "images": [
          {
            "url": "https://img.tesco.com/Groceries/pi/770/5057545735770/IDShot_540x540.jpg"
          }
        ],
        "price": {
          "list": 0.7
        },
        "sku": "299625707"
      }
    },
    ...
  ],
  "expiresIn": 1533209141,
  "retailer": {
    "country": "GB",
    "urls": {
      "signupUrl": "https://secure.tesco.com/account/en-GB/register",
      "forgotPasswordUrl": "https://secure.tesco.com/account/en-GB/forgotten-password",
      "trolleyUrl": "https://www.tesco.com/groceries/en-GB/slots"
    },
    "displayName": "Tesco",
    "currency": "GBP",
    "id": "898003be304e49b084ac6224adc7ff53",
    "name": "Tesco",
    "logo": {
      "url": "https://res.cloudinary.com/whisk/image/upload/whisk3/supermarket_select_dropdown/tesco-logo.png",
      "height": 36,
      "width": 134
    }
  }
}
```

{% endtab %}
{% endtabs %}

## Sample Request

```bash
curl -X POST "https://graph.whisk.com/v1/39247bbe44e145578ede8cab9fa89dd1/items/89362f250e6b42208eb3982a95e70144/split" \
    -H "Accept: application/json" \
    -H "Content-Type: application/json" \
    -H "Authorization: Token <Access-Token>"
```

## Response

### CartResponse

| ATTRIBUTE  | TYPE                                                                                      | DESCRIPTION                                                            |
| ---------- | ----------------------------------------------------------------------------------------- | ---------------------------------------------------------------------- |
| id\*       | string                                                                                    | unique cart identifier                                                 |
| retailer\* | Retailer                                                                                  | store details                                                          |
| items\*    | array \[[CartItemResponse](/master/api/carts/split-combined-items.md#cartitemresponse)]   | matched products                                                       |
| groups\*   | array \[[CartGroupResponse](/master/api/carts/split-combined-items.md#cartgroupresponse)] | ingredients can be grouped by recipe or another arbitrary group        |
| created\*  | long                                                                                      | time of cart creation; in Unix timestamp format (seconds)              |
| expiresIn  | long                                                                                      | The time when cart will be expired; in Unix timestamp format (seconds) |

### CartItemResponse

| ATTRIBUTE    | TYPE                                                                                            | DESCRIPTION                                                                   |
| ------------ | ----------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------- |
| id\*         | string                                                                                          | unique cart item identifier                                                   |
| sourceList\* | array \[[CartItemSource](/master/api/carts/split-combined-items.md#cartitemsource)]             | list of original ingredients related to the current item                      |
| product      | [CartProductOption](/master/api/carts/split-combined-items.md#cartproductoption)                | store item                                                                    |
| combined     | array \[[CombinedProductsInfo](/master/api/carts/split-combined-items.md#combinedproductsinfo)] | information about combined items, if items were combined by a similar product |
| analysis     | object                                                                                          | Analysis for cart item (category, product canonical name)                     |

### CartProductOption

| ATTRIBUTE  | TYPE                                                                                 | DESCRIPTION                           |
| ---------- | ------------------------------------------------------------------------------------ | ------------------------------------- |
| sku\*      | string                                                                               | store item identifier                 |
| name\*     | string                                                                               | store item name                       |
| quantity\* | [CartProductQuantity](/master/api/carts/split-combined-items.md#cartproductquantity) | quantity of product items             |
| price      | [CartItemPrice](/master/api/carts/split-combined-items.md#cartitemprice)             | price for the number of products      |
| images\*   | array \[ImageContainer]                                                              |                                       |
| url        | string                                                                               | link to the product page in the store |

### CartGroupResponse

| ATTRIBUTE     | TYPE          | DESCRIPTION                                                                           |
| ------------- | ------------- | ------------------------------------------------------------------------------------- |
| id\*          | string        | The unique cart group identifier                                                      |
| type\*        | enum          | ingredients can be grouped by recipe or custom group Possible values: Recipe, Custom. |
| displayName\* | string        | group display name                                                                    |
| recipe        | RecipeDetails | recipe details                                                                        |

### CartItemPrice

| ATTRIBUTE | TYPE   | DESCRIPTION |
| --------- | ------ | ----------- |
| list\*    | double | list price  |

### CartItemSource

| ATTRIBUTE | TYPE   | DESCRIPTION      |
| --------- | ------ | ---------------- |
| name\*    | string | source item text |
| groupId   | string | group identifier |

### CartProductQuantity

| ATTRIBUTE | TYPE    | DESCRIPTION     |
| --------- | ------- | --------------- |
| count\*   | integer | number of items |

### CombinedProductsInfo

| ATTRIBUTE | TYPE   | DESCRIPTION            |
| --------- | ------ | ---------------------- |
| name\*    | string | name of combined items |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/master/api/carts/split-combined-items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
